有没有人成功配置NetBeans for Python(特别是Python 3.0)开发?

我可以通过访问 Python平台管理器,创建一个新平台,并将NetBeans指向我安装2.6.1的python.exe来配置NetBeans for 2.6.1.但是,当我按照3.0的完全相同的步骤时,我在NetBeans控制台中收到一条错误,指出“SyntaxError:invalid syntax”.

如果重要,Python将以这种格式安装:

/Program Files
    /Python
        /2.6
            python.exe and everything else
        /3.0
            python.exe and everything else

我想知道是否有其他人经历过这个以及他们做了什么来纠正这个问题.

是的 – 它实际上很容易.插件中的脚本使用’print’作为在Python 3中已更改的关键字;您只需要将NetBeans安装目录中’python1’文件夹下的console.py和platform_info.py文件中的所有’print’语句转换为使用括号.例如,在platform_info.py中,第一行打印行说:

print "platform.name="+ "Jython " + version

将其更改为:

print("platform.name="+ "Jython " + version)

并为所有打印语句执行此操作.然后进入NetBeans并将Python30目录导入Python Platform Manager;它会工作得很好.

我还没有遇到任何其他问题,但插件中可能还有其他一些小的语法问题;它们应该很容易修复.

相关文章
相关标签/搜索